﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace MefTZAddin.interop.types
{
    [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Unicode)]
    public struct DynamicTimeZoneInformation
    {
        [MarshalAs(UnmanagedType.I4)]
        public int bias;
        [MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]
        public string standardName;
        public SystemTime standardDate;
        [MarshalAs(UnmanagedType.I4)]
        public int standardBias;
        [MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]
        public string daylightName;
        public SystemTime daylightDate;
        [MarshalAs(UnmanagedType.I4)]
        public int daylightBias;
        [MarshalAs(UnmanagedType.ByValTStr, SizeConst = 128)]
        public string timeZoneKeyName;
        public bool dynamicDaylightTimeDisabled;
    }

}
