﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace MefTZAddin.interop.types
{
    /// <summary>
    /// The SystemTime structure represents a date and time using individual members
    /// for the month, day, year, weekday, hour, minute, second, and millisecond.
    /// </summary>
    [StructLayoutAttribute(LayoutKind.Sequential)]
    public struct SystemTime
    {
        public short year;
        public short month;
        public short dayOfWeek;
        public short day;
        public short hour;
        public short minute;
        public short second;
        public short milliseconds;
    }
}
