Imports System.Runtime.InteropServices

Namespace interop.types
    <StructLayout(LayoutKind.Sequential, CharSet:=CharSet.Unicode)> _
    Public Structure DynamicTimeZoneInformation
        <MarshalAs(UnmanagedType.I4)> _
        Public bias As Integer
        <MarshalAs(UnmanagedType.ByValTStr, SizeConst:=32)> _
        Public standardName As String
        Public standardDate As SystemTime
        <MarshalAs(UnmanagedType.I4)> _
        Public standardBias As Integer
        <MarshalAs(UnmanagedType.ByValTStr, SizeConst:=32)> _
        Public daylightName As String
        Public daylightDate As SystemTime
        <MarshalAs(UnmanagedType.I4)> _
        Public daylightBias As Integer
        <MarshalAs(UnmanagedType.ByValTStr, SizeConst:=128)> _
        Public timeZoneKeyName As String
        Public dynamicDaylightTimeDisabled As Boolean
    End Structure
End Namespace
