Imports System.Runtime.InteropServices

Namespace interop.types
    ''' <summary>
    ''' The SystemTime structure represents a date and time using individual members
    ''' for the month, day, year, weekday, hour, minute, second, and millisecond.
    ''' </summary>
    <StructLayout(LayoutKind.Sequential)> _
    Public Structure SystemTime
        Public year As Short
        Public month As Short
        Public dayOfWeek As Short
        Public day As Short
        Public hour As Short
        Public minute As Short
        Public second As Short
        Public milliseconds As Short
    End Structure

End Namespace
